Bug 430718 - mkinitrd failure without System.map
mkinitrd failure without System.map
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 11:09 EST by Mark McLoughlin
Modified: 2009-06-10 03:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 03:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix-depmod-invocation.patch (867 bytes, patch)
2008-01-29 11:09 EST, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-01-29 11:09:59 EST
I tried to create an initrd for a kernel I built myself and got something like:

  $> mkinitrd -f /boot/initrd-2.6.24.img 2.6.24
  FATAL: Could not open '/boot/System.map-2.6.24': No such file or directory

An initrd was produced, but trying to boot it totally failed because there was
no modules.dep.

The fix seems simple:

-/sbin/depmod -F /boot/System.map-$kernel -a -b $MNTIMAGE $kernel
+/sbin/depmod -a -b $MNTIMAGE $kernel

The depmod manpage suggests that -F is useless without -e, so we shouldn't bother.

Also, wouldn't it be better to completely fail if depmod fails?
Comment 1 Mark McLoughlin 2008-01-29 11:09:59 EST
Created attachment 293299 [details]
fix-depmod-invocation.patch
Comment 2 Peter Jones 2008-04-23 11:39:04 EDT
Fixed in git; will be in mkinitrd-6.0.52 .
Comment 3 Bug Zapper 2008-05-14 00:55:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:27:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mark McLoughlin 2009-06-10 03:51:35 EDT
Long since fixed

Note You need to log in before you can comment on or make changes to this bug.